/**
* 文件：OperLogEntity.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.oper.model;

import com.mortals.framework.model.BaseEntityLong;

import java.util.Date;

/**
 * <p>Title: 操作日志</p>
 * <p>Description: OperLogEntity  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class OperLogEntity extends BaseEntityLong{
	private static final long serialVersionUID = 1547777703333L;
	
	/** 平台标识 */
	private String platformMark;

	/** 用户id */
	private Long userId;

	/** 用户名称 */
	private String userName;

	/** 用户登录名 */
	private String loginName;

	/** 请求地址 */
	private String requestUrl;

	/** 操作内容，记录操作具体信息，如修改前修改或的数据 */
	private String content;

	/** 操作IP地址 */
	private String ip;

	/** 操作时间 */
	private Date logDate;

	/** 操作类型，0：新增，1：修改，2：删除 */
	private Integer operType;


	public OperLogEntity(){
		
	}
	/**
	 * 获取 平台标识
	 * @return platformMark
	 */
	public String getPlatformMark(){
		return this.platformMark;
	}

	/**
	 * 设置 平台标识
	 * @param platformMark
	 */
	public void setPlatformMark(String platformMark){
		this.platformMark = platformMark;
	}

	/**
	 * 获取 用户id
	 * @return userId
	 */
	public Long getUserId(){
		return this.userId;
	}

	/**
	 * 设置 用户id
	 * @param userId
	 */
	public void setUserId(Long userId){
		this.userId = userId;
	}

	/**
	 * 获取 用户名称
	 * @return userName
	 */
	public String getUserName(){
		return this.userName;
	}

	/**
	 * 设置 用户名称
	 * @param userName
	 */
	public void setUserName(String userName){
		this.userName = userName;
	}

	/**
	 * 获取 用户登录名
	 * @return loginName
	 */
	public String getLoginName(){
		return this.loginName;
	}

	/**
	 * 设置 用户登录名
	 * @param loginName
	 */
	public void setLoginName(String loginName){
		this.loginName = loginName;
	}

	/**
	 * 获取 请求地址
	 * @return requestUrl
	 */
	public String getRequestUrl(){
		return this.requestUrl;
	}

	/**
	 * 设置 请求地址
	 * @param requestUrl
	 */
	public void setRequestUrl(String requestUrl){
		this.requestUrl = requestUrl;
	}

	/**
	 * 获取 操作内容，记录操作具体信息，如修改前修改或的数据
	 * @return content
	 */
	public String getContent(){
		return this.content;
	}

	/**
	 * 设置 操作内容，记录操作具体信息，如修改前修改或的数据
	 * @param content
	 */
	public void setContent(String content){
		this.content = content;
	}

	/**
	 * 获取 操作IP地址
	 * @return ip
	 */
	public String getIp(){
		return this.ip;
	}

	/**
	 * 设置 操作IP地址
	 * @param ip
	 */
	public void setIp(String ip){
		this.ip = ip;
	}

	/**
	 * 获取 操作时间
	 * @return logDate
	 */
	public Date getLogDate(){
		return this.logDate;
	}

	/**
	 * 设置 操作时间
	 * @param logDate
	 */
	public void setLogDate(Date logDate){
		this.logDate = logDate;
	}

	/**
	 * 获取 操作类型，0：新增，1：修改，2：删除
	 * @return operType
	 */
	public Integer getOperType(){
		return this.operType;
	}

	/**
	 * 设置 操作类型，0：新增，1：修改，2：删除
	 * @param operType
	 */
	public void setOperType(Integer operType){
		this.operType = operType;
	}


	@Override
	public int hashCode() {
		return this.getId().hashCode();
	}
	@Override
	public boolean equals(Object obj) {
		if (obj == null)
			return false;
		if (obj instanceof OperLogEntity) {
			OperLogEntity tmp = (OperLogEntity) obj;
			if (this.getId().longValue() == tmp.getId().longValue()) {
				return true;
			}
		}
		return false;
	}
	public String toString(){
		StringBuilder sb = new StringBuilder("");
		sb.append("id:").append(getId())
		  .append(",platformMark:").append(getPlatformMark())
		  .append(",userId:").append(getUserId())
		  .append(",userName:").append(getUserName())
		  .append(",loginName:").append(getLoginName())
		  .append(",requestUrl:").append(getRequestUrl())
		  .append(",content:").append(getContent())
		  .append(",ip:").append(getIp())
		  .append(",logDate:").append(getLogDate())
		  .append(",operType:").append(getOperType());
		return sb.toString();
	}
	public void initAttrValue(){
		this.platformMark = null;
		this.userId = null;
		this.userName = null;
		this.loginName = null;
		this.requestUrl = null;
		this.content = null;
		this.ip = null;
		this.logDate = null;
		this.operType = null;
	}
}